THEME_D_COMPILE(1)

NAME
theme-d-compile - the Theme-D compiler

SYNOPSIS
theme-d-compile [ OPTION ] ... FILE

DESCRIPTION
Compile the Theme-D source file FILE to Theme-D pseudocode. The default output file name is obtained by replacing the suffix of the source file as follows:

thp => tcp

ths => tcs

thi => tci

thb => tcb

By default, the output file is placed into the directory where the command theme-d-compile is invoked.

OPTIONS

-o, --output=OUTPUTFILE
    Specify the compilation output file.

-m, --module-path=PATH
    Specify the search path for Theme-D modules. The path should be a list of directories separated with :'s. You can prefix the list with a colon in order to include the default Theme-D library path in the search path.

-u, --unit-type=TYPE
    Specify the type of the unit to be compiled. The unit type has to be one of proper-program, script, interface, or body.

-l, --message-level=LEVEL
    Specify the message level of the compiler. The level has to be an integer number from 0 to 3. Value 0 means no output and value 3 the most verbose output.

--expand-only
    Do only macro expansion on the source.

--no-expansion
    Compile the source without macro expansion.

--backtrace
    Print backtrace on compilation error.

--pretty-print
    Pretty print the pseudocode output.

--no-verbose-errors
    Less information in the error messages.

--show-modules
    Show information about loading modules.

--macro-error-trace
    Display error trace for macro errors.

--version
    Display Theme-D version and exit.

ENVIRONMENT

THEME_D_CONFIG_FILE
    If this variable is defined its value is used as the Theme-D configuration file instead of the default configuration file.

FILES

/etc/theme-d-config
    The Theme-D configuration file.

~/.theme-d-config
    The Theme-D configuration file. This file should be normally present only if you use Theme-D in local mode.

SEE ALSO
theme-d-link(1), run-theme-d-program(1), setup-theme-d-test-env(1), /usr/share/doc/theme-d-doc/theme-d-user-guide.pdf.gz